ActiveMQContainerGBean (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.gbean.ActiveMQContainerGBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.gbean
Class ActiveMQContainerGBean

    java.lang.Object
      org.codehaus.activemq.gbean.ActiveMQContainerGBean

All Implemented Interfaces:
  ActiveMQContainer, org.apache.geronimo.gbean.GBeanLifecycle

public class ActiveMQContainerGBean
extends Object
implements org.apache.geronimo.gbean.GBeanLifecycle, ActiveMQContainer

Default implementation of the ActiveMQ Message Server

Version:
  $Revision: 1.1 $

Field Summary
`static org.apache.geronimo.gbean.GBeanInfo` | `GBEAN_INFO`

Constructor Summary
`ActiveMQContainerGBean()`
`ActiveMQContainerGBean(org.apache.geronimo.system.serverinfo.ServerInfo serverInfo, String brokerName, String dataDirectory)`

Method Summary
`protected BrokerContainer` | `createContainer()`
`void` | `doFail()`
`void` | `doStart()`
`void` | `doStop()`
`BrokerContainer` | `getBrokerContainer()`
`static org.apache.geronimo.gbean.GBeanInfo` | `getGBeanInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GBEAN_INFO

    public static final org.apache.geronimo.gbean.GBeanInfo GBEAN_INFO

Constructor Detail

### ActiveMQContainerGBean

    public ActiveMQContainerGBean()

### ActiveMQContainerGBean

    public ActiveMQContainerGBean(org.apache.geronimo.system.serverinfo.ServerInfo serverInfo,
                                  String brokerName,
                                  String dataDirectory)

Method Detail

### getBrokerContainer

    public BrokerContainer getBrokerContainer()

  Specified by:
    `getBrokerContainer` in interface `ActiveMQContainer`

### doStart

    public void doStart()
                 throws org.apache.geronimo.gbean.WaitingException,
                        Exception

  Specified by:
    `doStart` in interface `org.apache.geronimo.gbean.GBeanLifecycle`
  Throws:
    `org.apache.geronimo.gbean.WaitingException`
    `Exception`

### doStop

    public void doStop()
                throws org.apache.geronimo.gbean.WaitingException,
                       Exception

  Specified by:
    `doStop` in interface `org.apache.geronimo.gbean.GBeanLifecycle`
  Throws:
    `org.apache.geronimo.gbean.WaitingException`
    `Exception`

### doFail

    public void doFail()

  Specified by:
    `doFail` in interface `org.apache.geronimo.gbean.GBeanLifecycle`

### createContainer

    protected BrokerContainer createContainer()
                                       throws Exception

  Throws:
    `Exception`

### getGBeanInfo

    public static org.apache.geronimo.gbean.GBeanInfo getGBeanInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.